          Write a dataset to an output file.

write_dataset(ds, filename, clobber=False, history=True)

Argument
Description
ds
A CrateDataset object
filename
The output file name. To change the format from FITS add a kernel specifier as described in 'ahelp dmopt' and 'ahelp dmascii'.
clobber
Set to True if the output file already exists and you wish to over-write it, since the default behavior is to raise an IOError in this case.
history
Should the HISTORY and COMMENT records be written out? The default is True.

The write_dataset is used to write out a CrateDataset, and follows ahelp write_file.

Changes in CIAO 4.13

The write_dataset routine is now exported from the pycrates module. In earlier versions of CIAO it was only availabe from the pycrates.hlui module.

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2020